import tkinter as tk
from matplotlib.figure import Figure
from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg


fig=Figure(figsize=(12,8),facecolor='white')


axis=fig.add_subplot(211)
xvalues=[1,2,3,4]
yvalues=[5,6,7,8]
axis.plot(xvalues,yvalues)
axis.grid(linestyle='--',c='r')

axis=fig.add_subplot(212)
xvalues2=[1,2,3,4]
yvalues2=[5,6,7,8]
axis.plot(xvalues2,yvalues2)
axis.grid()

def _destroyWindow():
    root.quit()
    root.destroy()

root=tk.Tk()
root.withdraw()
root.protocol("WM_DELETE_WINDOW",_destroyWindow) # x창 치면 콜백함수를 실행하라 

canvas=FigureCanvasTkAgg(fig,master=root)
canvas.get_tk_widget().pack(side=tk.TOP,fill=tk.BOTH,expand=1)

root.update()
root.deiconify()
root.mainloop()