# 레전드를 설정 upper_right 오른쪽 위에 만듬 

import tkinter as tk
from matplotlib.figure import Figure
from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg


fig=Figure(figsize=(12,5),facecolor='white')
axis=fig.add_subplot(111)

xvalues=[1,2,3,4]

yvalues0=[6,7.5,8,7.5]
yvalues1=[5.5,6.5,8,6]
yvalues2=[6.5,7,8,7]

t0, =axis.plot(xvalues, yvalues0, color="r")
t1, =axis.plot(xvalues, yvalues1, color="b")
t2, =axis.plot(xvalues, yvalues2, color="purple")

axis.set_xlabel("Horizontal Label")
axis.set_ylabel("Vertical Label")
axis.grid()

fig.legend((t0,t1,t2),("First line","second Line","Third Line"),"upper right") 

def _destroyWindow():
    root.quit()
    root.destroy()

root=tk.Tk()
root.withdraw()
root.protocol("WM_DELETE_WINDOW",_destroyWindow) # x창 치면 콜백함수를 실행하라 

canvas=FigureCanvasTkAgg(fig,master=root)
canvas._tkcanvas.pack(side=tk.TOP,fill=tk.BOTH,expand=1)

root.update()
root.deiconify()
root.mainloop()
