#2행 1열 첫 번째에 플로팅을 해라(차트를 만들어라)
# (아이콘화되지 않게) 정상적인 형태의 윈도우로 보여라 
import tkinter as tk
from matplotlib.figure import Figure
from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg

fig=Figure(figsize=(6,4),facecolor='white') # 탑레벨의 콘테이너를 만들어줌 폭이 6인치 높이 4인치  / frameon 프레임을 만들거냐 안만들거냐
axis=fig.add_subplot(211) # 

xvalues=[1,2,3,4]
yvalues=[5,7,6,8]
axis.plot(xvalues,yvalues)

axis.set_xlabel("Horizontal Label")
axis.set_ylabel("Vertical Label")

axis.grid(linestyle='-')

def _destroyWindow():
    root.quit()
    root.destroy()

root=tk.Tk()
root.withdraw()
root.protocol("WM_DELETE_WINDOW",_destroyWindow) # x창 치면 콜백함수를 실행하라 

canvas=FigureCanvasTkAgg(fig,master=root)
canvas.get_tk_widget().pack(side=tk.TOP,fill=tk.BOTH,expand=1)

root.update()
root.deiconify()
root.mainloop()