#2행 1열 첫 번째에 플로팅을 해라(차트를 만들어라)
# (아이콘화되지 않게) 정상적인 형태의 윈도우로 보여라 
import tkinter as tk
from matplotlib.figure import Figure
from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg

fig=Figure(figsize=(12,8),facecolor='white') 

xvalues=[1,2,3,4]
yvalues=[5,7,6,8]

axis1=fig.add_subplot(221)
axis2=fig.add_subplot(222,sharex=axis1,sharey=axis1)
axis3=fig.add_subplot(223,sharex=axis1,sharey=axis1)
axis4=fig.add_subplot(224,sharex=axis1,sharey=axis1)


axis1.plot(xvalues,yvalues)
axis1.set_xlabel("Horizontal Label")
axis1.set_ylabel("Vertical Label")
axis1.grid(linestyle='-')

axis2.plot(xvalues,yvalues)
axis2.set_xlabel("Horizontal Label")
axis2.set_ylabel("Vertical Label")
axis2.grid(linestyle='-')

axis3.plot(xvalues,yvalues)
axis3.set_xlabel("Horizontal Label")
axis3.set_ylabel("Vertical Label")
axis3.grid(linestyle='-')

axis4.plot(xvalues,yvalues)
axis4.set_xlabel("Horizontal Label")
axis4.set_ylabel("Vertical Label")
axis4.grid(linestyle='-')

def _destroyWindow():
    root.quit()
    root.destroy()

root=tk.Tk()
root.withdraw()
root.protocol("WM_DELETE_WINDOW",_destroyWindow) # x창 치면 콜백함수를 실행하라 

canvas=FigureCanvasTkAgg(fig,master=root)
canvas.get_tk_widget().pack(side=tk.TOP,fill=tk.BOTH,expand=1)

root.update() 
root.deiconify()
root.mainloop()