import tkinter as tk
from matplotlib.figure import Figure
from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg
import matplotlib.pyplot as plt


fig=plt.figure(1,figsize=(12,9))

ax1=fig.add_subplot(221,projection='polar')
ax1.set_xlabel('ax1 Label')

ax2=fig.add_subplot(222,facecolor='red')
ax2.set_xlabel('ax2 Label')

ax3=fig.add_subplot(223)
ax3.set_xlabel('ax3 Label')

ax4=fig.add_subplot(224,frameon=False)
ax4.set_xlabel('ax4 Label')

def _destroyWindow():
    root.quit()
    root.destroy()

root=tk.Tk()
root.withdraw()
root.protocol("WM_DELETE_WINDOW",_destroyWindow) # x창 치면 콜백함수를 실행하라 

canvas=FigureCanvasTkAgg(fig,master=root)
canvas.get_tk_widget().pack(side=tk.TOP,fill=tk.BOTH,expand=1)

root.update()
root.deiconify()
root.mainloop()